Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf
Class Configurator

    java.lang.Object
      org.flexdock.plaf.Configurator

All Implemented Interfaces:
  XMLConstants

    public final class Configurator

extends Object
implements XMLConstants

Author:
  Christopher Butler

Field Summary
`static String` | `DEFAULT_PREFS_URI`
`static String` | `PREFS_URI`

Fields inherited from interface org.flexdock.plaf.XMLConstants
`ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

Method Summary
`static HashMap` | `getNamedElementsByTagName(String tagName)`
`static PropertySet[]` | `getProperties(String tagName)`
`static PropertySet[]` | `getProperties(String[] names, HashMap cache)`
`static PropertySet[]` | `getProperties(String[] names, String tagName)`
`static PropertySet` | `getProperties(String name, String tagName)`
`static Object` | `getResource(String stringValue, String currentHandlerName, String defaultHandlerName)`
`static boolean` | `isNull(String data)`
`static Document` | `loadDefaultPrefs()`
`static Document` | `loadUserPrefs()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PREFS_URI

    public static final String DEFAULT_PREFS_URI

See Also:
  Constant Field Values

### PREFS_URI

    public static final String PREFS_URI

See Also:
  Constant Field Values

Method Detail

### loadUserPrefs

    public static Document loadUserPrefs()

### loadDefaultPrefs

    public static Document loadDefaultPrefs()

### getNamedElementsByTagName

    public static HashMap getNamedElementsByTagName(String tagName)

### getProperties

    public static PropertySet[] getProperties(String tagName)

### getProperties

    public static PropertySet getProperties(String name,
                                            String tagName)

### getProperties

    public static PropertySet[] getProperties(String[] names,
                                              String tagName)

### getProperties

    public static PropertySet[] getProperties(String[] names,
                                              HashMap cache)

### getResource

    public static Object getResource(String stringValue,
                                     String currentHandlerName,
                                     String defaultHandlerName)

### isNull

    public static boolean isNull(String data)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD